#include "PalmType.h"
#include "PalmChip.h"

void PLL2_Ac97()
{
	XBYTE[PLL_BYPASS] &= 0xfd;
	XBYTE[PLL2_SUP] = 0x2a;	// 12MHz * (43/21) = 24.576MHz
	XBYTE[PLL2_SDN] = 0x14;
	XBYTE[PLL2_MODE] = 0x3e;
	XBYTE[PLL_CTRL] &= 0xfd;

    while(!(XBYTE[PLL_CTRL] & 0x20));
	XBYTE[PLL_BYPASS] |= 0x02;	// use PLL2 as Ac97 clock 
	XBYTE[PLL_CTRL] |= 0x04;	// ext use PLL2
}



